Subject: Redeem: $25 Voucher

From: Autumn <[email-masked]>
Date: Tue, 03 Jun 2014 12:33:08 -0700

ATTN: Ietf-dkim-archive
Redeem Your $25
Macy's has gifts for Pops under $25
----------------------------------------

In honor of Upcoming Father's Day we are giving you $25.
To Enjoy Your Macy's Rewards, all you need to do:

1) Visit:  http://www.altproppax.com/redeem/macys/giftcard.html
2) Give us your opinion 
3) Redeem your $25 before they expire 

Happy Father's Day,

Member Rewards Program

p.s , Get inspired with Father's Day Ideas,  see what we have here -> http://www.altproppax.com/redeem/macys/giftcard.html

we hoped you enjoyed receiving rewards- 
to stop notifications- Update Notice Messages
one one eight/ Kecks Lane/R u f f D a l e / PA / one five six seven nine
or visit http://www.altproppax.com/oweifr.khtg

Make sure you have a .htaccess policy that protects the .git directory from being read. Somebody who feels like URL diving could have a field day with the entire source code if it's accessible.Alternatively just make the public directory a subdirectory of the git repo. Then you can have private files you can be sure won't be made public. I'm not sure that I understand this. Where should I create my first git repo, on the production web server or on the test web server? his link is dead. is there another link to the post-update file? If you're using submodules, you may want to add git submodule update --init --recursive to the post-update script like the idea of making the public directory a subdirectory. I think I may just make a symlink in my /var/www directory to the /public directory in my repo. I like it but the user you push with need to have right access to htdocs. It's certainly the git user. How do you manage that? You put git user in a www-pub group and give to this group a 
 write permission in /path/htdoc/*? Maybe I'm missing something but wouldn't you want your production server(s) to pull from a master git repositories producttion branch. I guess the OP only has one server? I usually make my continuous integration server do the deployment of my site (running some tests before deployFollowing those steps from a repository that already has a sequence of commits; at first you can't push because the master branch is already checked out. Then if you checkout an alternative branch on the remote only the different files are checked out into the working directory. I expected the hook to do a reset need to add one more step to allow pushing to remote, will add to the answer This does not play nicely with gitolite due to this line: die "$repo ends with a slash; I don't like that\n" if $repo =~ /\/$/;Maybe I am missing something, but it looks like after you push the code to production, you still have to git clone that bare .git repository before you can full de
 ploy? So it is a two step process?  @Antony That's what the server side post-update hook is for - it takes care of that automatically upon push   when sub-modules are used - they'll still contain .git - right? You should take a look at this very trivial solution I followed the steps in the article you mentioned, and everything worked like a charm. I only wonder wether there are some drawbacks concerning security or stability.  Assuming you're using Git over SSH I'd say the danger lies in making a mistake with Git. You could ask the author of the article; he ends it with "Questions and suggestions are welcome." My current (brain-dead) replication strategy is to use Transmit by Panic Software. The linked article has one important requirement when you use hooks. The hooks will fail if .git happens to be in the same naming scheme as working directory. i.e. /foo/bar (working directory) and /foo/bar.git (barebone git repository). So make sure you rename /foo/bar to something else, such as
  /foo/bar.live or /foo/blah Well, in case you are wondering, the exact error message you would receive if your working directory has the same name as the barebone repository is "remote: fatal: Could not jump back into original cwd: No such file or directory"   I don't follow why you would need a post-deploy hook to run. Pushing the code changes to a remote repo means the remote repo is up to date. What am I missing? I think this should be the right answer. what you're missing is that git won't let you push a branch to a repository that has that branch checked out. In this case, the (IMHO very nice) answer is to have two repositories: a bare repo you push to and a second repo whose working directory is updated via the hook when the bare repo is pushed to. Excellent answer. Much cleaner than anything else I've found